package ro.tryApi.spec

import com.intellij.openapi.vfs.LocalFileSystem
import com.intellij.openapi.vfs.newvfs.impl.VirtualFileImpl
import com.intellij.psi.PsiElement
import com.intellij.psi.PsiFile
import com.intellij.psi.search.SearchScope
import com.intellij.refactoring.rename.RenamePsiElementProcessor
import org.intellij.plugins.relaxNG.compact.psi.impl.RncFileImpl
import org.jetbrains.annotations.NotNull
import org.jetbrains.plugins.ruby.ruby.lang.psi.impl.RFileImpl

/**
 * Created by roroco on 5/28/15.
 */

class RenameProcessor extends RenamePsiElementProcessor {
    @Override
    boolean canProcessElement(@NotNull PsiElement psiElement) {
        psiElement.class.name.matches(/.*RFileImpl$/)
    }

    @Override
    void prepareRenaming(PsiElement e, String s, Map<PsiElement, String> map, SearchScope searchScope) {
        e = (RFileImpl) e
        VirtualFileImpl vf = LocalFileSystem.instance.findFileByPath("/home/roroco/Dropbox/try/plugin/rb/spec/lib/ex2_spec.rb")
        PsiFile f = e.manager.findFile(vf)
        map[f] = new Date().toString()
        super.prepareRenaming(f, s, map, searchScope)
    }
}
